object Hamming {
    fun compute(inputA: String, inputB: String): Int{
        if (inputA.length != inputB.length){
            throw IllegalArgumentException()
        }
        var difference: Int = 0
        for (i in (0..(inputA.length - 1))){
            if (inputA[i] != inputB[i]){
                difference++
            }
        }
        return difference
    }

}